import Image from "next/image";

import CompactLabel from "@/lib/label/framework/ui/CompactLabel";
import Label from "@/lib/label/framework/ui/Label";

import PostEntity from "../../domain/postEntity";

export default function PostPreviewCard({ post }: { post: PostEntity }) {
  return (
    <div className="flex flex-col items-start gap-y-4">
      <Image alt="Preview Image" src={post.previewImageUrl} width={480} height={270} className="rounded-2xl" />
      <div className="flex flex-col items-start gap-y-1.5">
        <div className="flex flex-row gap-x-2">
          {post.labels.length > 0 && <Label label={post.labels[0]} />}
          {post.labels.length > 1 && <CompactLabel labels={post.labels.slice(1)} />}
        </div>
        <h2 className="text-base font-bold text-gray-800 md:text-lg">{post.title}</h2>
        <p className="line-clamp-3 text-sm text-gray-800">{post.description}</p>
        <span className="cursor-pointer text-sm text-gray-400">查看更多 →</span>
      </div>
    </div>
  );
}
