import PostEntity from "../../domain/postEntity";
import PostPreviewCard from "./PostPreviewCard";

export default function PostPreviewCardList() {
  return (
    <div className="mx-auto grid max-w-screen-xl grid-cols-1 gap-x-5 gap-y-6 px-6 pb-6 md:grid-cols-3 md:pb-10">
      {postList.map((post) => (
        <PostPreviewCard key={post.id} post={post} />
      ))}
    </div>
  );
}

const postList: PostEntity[] = [
  {
    id: 1,
    title: "SquidLIVE | 自己的網站自己寫 | 深夜開發台",
    content: "SquidLIVE 是一個自己的網站自己寫的深夜開發台，這裡會分享一些技術文章、開發心得、以及一些生活感想。",
    description:
      "Git Repository: https://git.squidspirit.com/squid/blog 如果喜歡的話就按個大大的喜歡，順便分享出去；如果不喜歡的話也別吝嗇按個不喜歡，也要告訴我原因喔！如有任何問題歡迎在下方留言或寄 E-mail 至：squid@squidspirit.com",
    previewImageUrl: "https://www.alleycat.org/wp-content/uploads/2019/03/FELV-cat.jpg",
    labels: [
      {
        id: 1,
        name: "Software Engineering",
        color: "#D9D9D9",
      },
      {
        id: 2,
        name: "Algorithm",
        color: "#D9D9D9",
      },
      {
        id: 3,
        name: "Frontend",
        color: "#D9D9D9",
      },
    ],
    publishedTime: new Date(),
  },
  {
    id: 2,
    title: "SquidLIVE | 自己的網站自己寫 | 深夜開發台",
    content: "SquidLIVE 是一個自己的網站自己寫的深夜開發台，這裡會分享一些技術文章、開發心得、以及一些生活感想。",
    description:
      "Git Repository: https://git.squidspirit.com/squid/blog 如果喜歡的話就按個大大的喜歡，順便分享出去；如果不喜歡的話也別吝嗇按個不喜歡，也要告訴我原因喔！如有任何問題歡迎在下方留言或寄 E-mail 至：squid@squidspirit.com",
    previewImageUrl: "https://www.alleycat.org/wp-content/uploads/2019/03/FELV-cat.jpg",
    labels: [
      {
        id: 1,
        name: "Software Engineering",
        color: "#D9D9D9",
      },
    ],
    publishedTime: new Date(),
  },
  {
    id: 3,
    title: "SquidLIVE | 自己的網站自己寫 | 深夜開發台",
    content: "SquidLIVE 是一個自己的網站自己寫的深夜開發台，這裡會分享一些技術文章、開發心得、以及一些生活感想。",
    description:
      "Git Repository: https://git.squidspirit.com/squid/blog 如果喜歡的話就按個大大的喜歡，順便分享出去；如果不喜歡的話也別吝嗇按個不喜歡，也要告訴我原因喔！如有任何問題歡迎在下方留言或寄 E-mail 至：squid@squidspirit.com",
    previewImageUrl: "https://www.alleycat.org/wp-content/uploads/2019/03/FELV-cat.jpg",
    labels: [
      {
        id: 1,
        name: "Software Engineering",
        color: "#D9D9D9",
      },
    ],
    publishedTime: new Date(),
  },
];
